import { NodeType, nodeTypeMap } from '../vueFlowEnum';

export class VueFlowConfig {
	static nodeStyleMap = new Map([
		[
			NodeType.Start,
			{
				type: NodeType.Start,
				title: nodeTypeMap[NodeType.Start],
				icon: 'xiangxiajiantou -rotate-90',
				fontSize: '13',
				color: 'white',
				class: '!bg-primary ',
			},
		],
		[
			NodeType.End,
			{
				type: NodeType.End,
				title: nodeTypeMap[NodeType.End],
				icon: 'jieshu',
				fontSize: '13',
				color: 'white',
				class: '!bg-primary ',
			},
		],
		[
			NodeType.Condition,
			{
				type: NodeType.Condition,
				title: nodeTypeMap[NodeType.Condition],
				icon: 'jiegousheji',
				fontSize: '14',
				class: 'bg-[#edc9e9] ',
			},
		],
		[
			NodeType.LLM,
			{
				type: NodeType.LLM,
				title: nodeTypeMap[NodeType.LLM],
				icon: 'llm',
				fontSize: '14',
				class: 'bg-[#d9d7ff] ',
			},
		],
		[
			NodeType.Output,
			{
				type: NodeType.Output,
				title: nodeTypeMap[NodeType.Output],
				icon: 'xiaoxi1',
				fontSize: '14',
				class: 'bg-[#9ce4f4] ',
			},
		],
		[
			NodeType.Agent,
			{
				type: NodeType.Agent,
				title: nodeTypeMap[NodeType.Agent],
				icon: 'wode',
				fontSize: '14',
				class: 'bg-[#ffd89a] ',
			},
		],
		[
			NodeType.Func,
			{
				type: NodeType.Func,
				title: nodeTypeMap[NodeType.Func],
				icon: 'kaishi',
				fontSize: '14',
				class: 'bg-[#bbdbff] ',
			},
		],
		[
			NodeType.Code,
			{
				type: NodeType.Code,
				title: nodeTypeMap[NodeType.Code],
				icon: 'didaima',
				fontSize: '18',
				class: 'bg-[#b8eedf] !p-1',
			},
		],
		[
			NodeType.PythonCode,
			{
				type: NodeType.PythonCode,
				title: nodeTypeMap[NodeType.PythonCode],
				icon: 'didaima',
				fontSize: '18',
				class: 'bg-[#0062be] !p-1',
			},
		],
		[
			NodeType.TextResource,
			{
				type: NodeType.TextResource,
				title: nodeTypeMap[NodeType.TextResource],
				icon: 'document',
				fontSize: '14',
				class: 'bg-[#c8a2c8] ',
			},
		],
		[
			NodeType.Analysis,
			{
				type: NodeType.Analysis,
				title: nodeTypeMap[NodeType.Analysis],
				icon: 'sousuo',
				fontSize: '14',
				class: 'bg-[#98fb98] ',
			},
		],
	]);
}
